// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * MISSING DOCUMENTATION!!!
 * </pre>
 *
 * Protobuf type {@code commonmodule.OperationDCTE}
 */
public final class OperationDCTE extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.OperationDCTE)
    OperationDCTEOrBuilder {
private static final long serialVersionUID = 0L;
  // Use OperationDCTE.newBuilder() to construct.
  private OperationDCTE(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private OperationDCTE() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new OperationDCTE();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDCTE_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDCTE_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.OperationDCTE.class, openfmb.commonmodule.OperationDCTE.Builder.class);
  }

  public static final int RNDDLTMMS_FIELD_NUMBER = 1;
  private openfmb.commonmodule.ControlING rndDlTmms_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the rndDlTmms field is set.
   */
  @java.lang.Override
  public boolean hasRndDlTmms() {
    return rndDlTmms_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The rndDlTmms.
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlING getRndDlTmms() {
    return rndDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rndDlTmms_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlINGOrBuilder getRndDlTmmsOrBuilder() {
    return rndDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rndDlTmms_;
  }

  public static final int RTNDLTMMS_FIELD_NUMBER = 2;
  private openfmb.commonmodule.ControlING rtnDlTmms_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the rtnDlTmms field is set.
   */
  @java.lang.Override
  public boolean hasRtnDlTmms() {
    return rtnDlTmms_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The rtnDlTmms.
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlING getRtnDlTmms() {
    return rtnDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnDlTmms_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlINGOrBuilder getRtnDlTmmsOrBuilder() {
    return rtnDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnDlTmms_;
  }

  public static final int RTNRMPTMMS_FIELD_NUMBER = 3;
  private openfmb.commonmodule.ControlING rtnRmpTmms_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the rtnRmpTmms field is set.
   */
  @java.lang.Override
  public boolean hasRtnRmpTmms() {
    return rtnRmpTmms_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The rtnRmpTmms.
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlING getRtnRmpTmms() {
    return rtnRmpTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnRmpTmms_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ControlINGOrBuilder getRtnRmpTmmsOrBuilder() {
    return rtnRmpTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnRmpTmms_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (rndDlTmms_ != null) {
      output.writeMessage(1, getRndDlTmms());
    }
    if (rtnDlTmms_ != null) {
      output.writeMessage(2, getRtnDlTmms());
    }
    if (rtnRmpTmms_ != null) {
      output.writeMessage(3, getRtnRmpTmms());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (rndDlTmms_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getRndDlTmms());
    }
    if (rtnDlTmms_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getRtnDlTmms());
    }
    if (rtnRmpTmms_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getRtnRmpTmms());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.OperationDCTE)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.OperationDCTE other = (openfmb.commonmodule.OperationDCTE) obj;

    if (hasRndDlTmms() != other.hasRndDlTmms()) return false;
    if (hasRndDlTmms()) {
      if (!getRndDlTmms()
          .equals(other.getRndDlTmms())) return false;
    }
    if (hasRtnDlTmms() != other.hasRtnDlTmms()) return false;
    if (hasRtnDlTmms()) {
      if (!getRtnDlTmms()
          .equals(other.getRtnDlTmms())) return false;
    }
    if (hasRtnRmpTmms() != other.hasRtnRmpTmms()) return false;
    if (hasRtnRmpTmms()) {
      if (!getRtnRmpTmms()
          .equals(other.getRtnRmpTmms())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasRndDlTmms()) {
      hash = (37 * hash) + RNDDLTMMS_FIELD_NUMBER;
      hash = (53 * hash) + getRndDlTmms().hashCode();
    }
    if (hasRtnDlTmms()) {
      hash = (37 * hash) + RTNDLTMMS_FIELD_NUMBER;
      hash = (53 * hash) + getRtnDlTmms().hashCode();
    }
    if (hasRtnRmpTmms()) {
      hash = (37 * hash) + RTNRMPTMMS_FIELD_NUMBER;
      hash = (53 * hash) + getRtnRmpTmms().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.OperationDCTE parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDCTE parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDCTE parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDCTE parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.OperationDCTE prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * Protobuf type {@code commonmodule.OperationDCTE}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.OperationDCTE)
      openfmb.commonmodule.OperationDCTEOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDCTE_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDCTE_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.OperationDCTE.class, openfmb.commonmodule.OperationDCTE.Builder.class);
    }

    // Construct using openfmb.commonmodule.OperationDCTE.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      rndDlTmms_ = null;
      if (rndDlTmmsBuilder_ != null) {
        rndDlTmmsBuilder_.dispose();
        rndDlTmmsBuilder_ = null;
      }
      rtnDlTmms_ = null;
      if (rtnDlTmmsBuilder_ != null) {
        rtnDlTmmsBuilder_.dispose();
        rtnDlTmmsBuilder_ = null;
      }
      rtnRmpTmms_ = null;
      if (rtnRmpTmmsBuilder_ != null) {
        rtnRmpTmmsBuilder_.dispose();
        rtnRmpTmmsBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDCTE_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDCTE getDefaultInstanceForType() {
      return openfmb.commonmodule.OperationDCTE.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDCTE build() {
      openfmb.commonmodule.OperationDCTE result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDCTE buildPartial() {
      openfmb.commonmodule.OperationDCTE result = new openfmb.commonmodule.OperationDCTE(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.OperationDCTE result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.rndDlTmms_ = rndDlTmmsBuilder_ == null
            ? rndDlTmms_
            : rndDlTmmsBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.rtnDlTmms_ = rtnDlTmmsBuilder_ == null
            ? rtnDlTmms_
            : rtnDlTmmsBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.rtnRmpTmms_ = rtnRmpTmmsBuilder_ == null
            ? rtnRmpTmms_
            : rtnRmpTmmsBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.OperationDCTE) {
        return mergeFrom((openfmb.commonmodule.OperationDCTE)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.OperationDCTE other) {
      if (other == openfmb.commonmodule.OperationDCTE.getDefaultInstance()) return this;
      if (other.hasRndDlTmms()) {
        mergeRndDlTmms(other.getRndDlTmms());
      }
      if (other.hasRtnDlTmms()) {
        mergeRtnDlTmms(other.getRtnDlTmms());
      }
      if (other.hasRtnRmpTmms()) {
        mergeRtnRmpTmms(other.getRtnRmpTmms());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getRndDlTmmsFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getRtnDlTmmsFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getRtnRmpTmmsFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.ControlING rndDlTmms_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> rndDlTmmsBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the rndDlTmms field is set.
     */
    public boolean hasRndDlTmms() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The rndDlTmms.
     */
    public openfmb.commonmodule.ControlING getRndDlTmms() {
      if (rndDlTmmsBuilder_ == null) {
        return rndDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rndDlTmms_;
      } else {
        return rndDlTmmsBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRndDlTmms(openfmb.commonmodule.ControlING value) {
      if (rndDlTmmsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        rndDlTmms_ = value;
      } else {
        rndDlTmmsBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRndDlTmms(
        openfmb.commonmodule.ControlING.Builder builderForValue) {
      if (rndDlTmmsBuilder_ == null) {
        rndDlTmms_ = builderForValue.build();
      } else {
        rndDlTmmsBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRndDlTmms(openfmb.commonmodule.ControlING value) {
      if (rndDlTmmsBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          rndDlTmms_ != null &&
          rndDlTmms_ != openfmb.commonmodule.ControlING.getDefaultInstance()) {
          getRndDlTmmsBuilder().mergeFrom(value);
        } else {
          rndDlTmms_ = value;
        }
      } else {
        rndDlTmmsBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRndDlTmms() {
      bitField0_ = (bitField0_ & ~0x00000001);
      rndDlTmms_ = null;
      if (rndDlTmmsBuilder_ != null) {
        rndDlTmmsBuilder_.dispose();
        rndDlTmmsBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlING.Builder getRndDlTmmsBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getRndDlTmmsFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlINGOrBuilder getRndDlTmmsOrBuilder() {
      if (rndDlTmmsBuilder_ != null) {
        return rndDlTmmsBuilder_.getMessageOrBuilder();
      } else {
        return rndDlTmms_ == null ?
            openfmb.commonmodule.ControlING.getDefaultInstance() : rndDlTmms_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rndDlTmms = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> 
        getRndDlTmmsFieldBuilder() {
      if (rndDlTmmsBuilder_ == null) {
        rndDlTmmsBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder>(
                getRndDlTmms(),
                getParentForChildren(),
                isClean());
        rndDlTmms_ = null;
      }
      return rndDlTmmsBuilder_;
    }

    private openfmb.commonmodule.ControlING rtnDlTmms_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> rtnDlTmmsBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the rtnDlTmms field is set.
     */
    public boolean hasRtnDlTmms() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The rtnDlTmms.
     */
    public openfmb.commonmodule.ControlING getRtnDlTmms() {
      if (rtnDlTmmsBuilder_ == null) {
        return rtnDlTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnDlTmms_;
      } else {
        return rtnDlTmmsBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRtnDlTmms(openfmb.commonmodule.ControlING value) {
      if (rtnDlTmmsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        rtnDlTmms_ = value;
      } else {
        rtnDlTmmsBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRtnDlTmms(
        openfmb.commonmodule.ControlING.Builder builderForValue) {
      if (rtnDlTmmsBuilder_ == null) {
        rtnDlTmms_ = builderForValue.build();
      } else {
        rtnDlTmmsBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRtnDlTmms(openfmb.commonmodule.ControlING value) {
      if (rtnDlTmmsBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          rtnDlTmms_ != null &&
          rtnDlTmms_ != openfmb.commonmodule.ControlING.getDefaultInstance()) {
          getRtnDlTmmsBuilder().mergeFrom(value);
        } else {
          rtnDlTmms_ = value;
        }
      } else {
        rtnDlTmmsBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRtnDlTmms() {
      bitField0_ = (bitField0_ & ~0x00000002);
      rtnDlTmms_ = null;
      if (rtnDlTmmsBuilder_ != null) {
        rtnDlTmmsBuilder_.dispose();
        rtnDlTmmsBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlING.Builder getRtnDlTmmsBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getRtnDlTmmsFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlINGOrBuilder getRtnDlTmmsOrBuilder() {
      if (rtnDlTmmsBuilder_ != null) {
        return rtnDlTmmsBuilder_.getMessageOrBuilder();
      } else {
        return rtnDlTmms_ == null ?
            openfmb.commonmodule.ControlING.getDefaultInstance() : rtnDlTmms_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnDlTmms = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> 
        getRtnDlTmmsFieldBuilder() {
      if (rtnDlTmmsBuilder_ == null) {
        rtnDlTmmsBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder>(
                getRtnDlTmms(),
                getParentForChildren(),
                isClean());
        rtnDlTmms_ = null;
      }
      return rtnDlTmmsBuilder_;
    }

    private openfmb.commonmodule.ControlING rtnRmpTmms_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> rtnRmpTmmsBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the rtnRmpTmms field is set.
     */
    public boolean hasRtnRmpTmms() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The rtnRmpTmms.
     */
    public openfmb.commonmodule.ControlING getRtnRmpTmms() {
      if (rtnRmpTmmsBuilder_ == null) {
        return rtnRmpTmms_ == null ? openfmb.commonmodule.ControlING.getDefaultInstance() : rtnRmpTmms_;
      } else {
        return rtnRmpTmmsBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRtnRmpTmms(openfmb.commonmodule.ControlING value) {
      if (rtnRmpTmmsBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        rtnRmpTmms_ = value;
      } else {
        rtnRmpTmmsBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setRtnRmpTmms(
        openfmb.commonmodule.ControlING.Builder builderForValue) {
      if (rtnRmpTmmsBuilder_ == null) {
        rtnRmpTmms_ = builderForValue.build();
      } else {
        rtnRmpTmmsBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeRtnRmpTmms(openfmb.commonmodule.ControlING value) {
      if (rtnRmpTmmsBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          rtnRmpTmms_ != null &&
          rtnRmpTmms_ != openfmb.commonmodule.ControlING.getDefaultInstance()) {
          getRtnRmpTmmsBuilder().mergeFrom(value);
        } else {
          rtnRmpTmms_ = value;
        }
      } else {
        rtnRmpTmmsBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearRtnRmpTmms() {
      bitField0_ = (bitField0_ & ~0x00000004);
      rtnRmpTmms_ = null;
      if (rtnRmpTmmsBuilder_ != null) {
        rtnRmpTmmsBuilder_.dispose();
        rtnRmpTmmsBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlING.Builder getRtnRmpTmmsBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getRtnRmpTmmsFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ControlINGOrBuilder getRtnRmpTmmsOrBuilder() {
      if (rtnRmpTmmsBuilder_ != null) {
        return rtnRmpTmmsBuilder_.getMessageOrBuilder();
      } else {
        return rtnRmpTmms_ == null ?
            openfmb.commonmodule.ControlING.getDefaultInstance() : rtnRmpTmms_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ControlING rtnRmpTmms = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder> 
        getRtnRmpTmmsFieldBuilder() {
      if (rtnRmpTmmsBuilder_ == null) {
        rtnRmpTmmsBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ControlING, openfmb.commonmodule.ControlING.Builder, openfmb.commonmodule.ControlINGOrBuilder>(
                getRtnRmpTmms(),
                getParentForChildren(),
                isClean());
        rtnRmpTmms_ = null;
      }
      return rtnRmpTmmsBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.OperationDCTE)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.OperationDCTE)
  private static final openfmb.commonmodule.OperationDCTE DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.OperationDCTE();
  }

  public static openfmb.commonmodule.OperationDCTE getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<OperationDCTE>
      PARSER = new com.google.protobuf.AbstractParser<OperationDCTE>() {
    @java.lang.Override
    public OperationDCTE parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<OperationDCTE> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<OperationDCTE> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.OperationDCTE getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

